Fedora-Fr - Communauté francophone Fedora - Linux

Planet de Fedora-Fr : la communauté francophone autour de la distribution Linux Fedora

A propos

Cette page est actualisée toutes les heures.

Cette page est une sélection de blogs autour de Fedora. Fedora-Fr.org décline toute responsabilité au sujet des propos tenus par les auteurs des blogs de ce planet. Leurs propos sont leur entière responsabilité.

Le contenu de ce planet appartient à leurs auteurs respectifs. Merci de consulter leur blogs pour obtenir les licences respectives.

Mot-clefs : phpunit

phpunit-PHPUnit-SkeletonGenerator-1.0.0

Remi Collet

phpunit/PHPUnit_SkeletonGenerator est maintenant disponible dans le dépôt remi et proposé en revue pour le dépôt fedora (Review #783632).

Dans les changements de PHPUnit 3.6.8 : * Marked `--skeleton-class` and `--skeleton-test` as deprecated. Please use the `phpunit-skelgen` tool that is provided by the `PHPUnit_SkeletonGenerator` package instead. Donc les options --skeleton-class et --skeleton-test sont dépréciées. Si vous aviez l'habitude d'utiliser cette commande pour générer... Lire phpunit-PHPUnit-SkeletonGenerator-1.0.0

PHPUnit 3.6

Remi Collet

Les RPM de la dernière version de l'outil pour réaliser des tests unitaires en PHP sont disponibles dans le dépôt remi pour fedora ≥ 10 et Enterprise Linux.

Site officiel : www.phpunit.de Documentation : PHPUnit 3.6 Manual Pour cette nouvelle version, les développeurs ont augmenté les dépendances du projet  : php-phpunit-DbUnit-1.1.0 php-phpunit-File-Iterator-1.3.0 (RFE #750466 en attente) php-phpunit-PHP-CodeCoverage-1.1.0 php-phpunit-PHP-Invoker-1.0.0 (Revue #750461 approuvée)... Lire PHPUnit 3.6

php-phpunit-PHP-Invoker-1.0.0

Remi Collet Le RPM de l'extension PHP_Invoker 1.0.0 est disponible dans le dépôt remi. et en attente de revue pour les dépôts officiels (revue #750461).

Il s'agit d'un nouvelle dépendance de PHPUnit version 3.6. Pour l'installer yum --enablerepo=remi install php-phpunit-PHP-InvokerElle sera aussi installée automatiquement lors de la mise à jour (qui ne saurait tarder) de PHPUnit.... Lire php-phpunit-PHP-Invoker-1.0.0